'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _output = require('./lib/output');

var _output2 = _interopRequireDefault(_output);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://wiki.jenkins.io/display/JENKINS/JUnit+Attachments+Plugin#JUnitAttachmentsPlugin-Byputtingthemintoaknownlocation

/* eslint-disable no-param-reassign */

const addAttachment = (test, filename) => {
  const target = (0, _path.resolve)((0, _path.dirname)(_output2.default), filename);
  if (!test.junitAttachments) {
    test.junitAttachments = [];
  }
  test.junitAttachments.push(target);
  return target;
};

exports.default = addAttachment;